1. Virtual Accounts
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
        POST
      • List Virtual Accounts
        GET
      • Get Virtual Account
        GET
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Virtual Accounts

List Virtual Accounts

GET
/api/v1/virtualAccount/list
Query the current customer's virtual accounts with multi-condition filtering and pagination.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Virtual accounts retrieved successfully
Bodyapplication/json

🟠404
🔴500Error
🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/virtualAccount/list?pageNum=undefined&pageSize=undefined&vaNo=undefined&currencyCode=undefined&countryCode=undefined&paymentMethod=undefined&accountType=undefined&accountNumber=undefined&referenceCode=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "total": 0,
        "list": [
            {
                "vaNo": "string",
                "productType": "string",
                "businessType": "string",
                "currencyCode": "string",
                "countryCode": "string",
                "ownershipType": "string",
                "matchMode": "string",
                "reuseMode": "string",
                "referenceRuleType": "string",
                "referenceCode": "string",
                "referencePrefix": "string",
                "accountName": "string",
                "accountNumber": "string",
                "bankName": "string",
                "bankBranchName": "string",
                "bankAddress": "string",
                "paymentMethod": "string",
                "routingKeyType": "string",
                "routingKeyValue": "string",
                "status": "string",
                "allowMultipleCustomers": "string",
                "allowMultipleCollections": "string",
                "referenceRequired": "string",
                "activeTime": "2019-08-24T14:15:22.123Z",
                "expiredTime": "2019-08-24T14:15:22.123Z",
                "closedTime": "2019-08-24T14:15:22.123Z",
                "lastInboundTime": "2019-08-24T14:15:22.123Z",
                "lastReferenceCode": "string",
                "totalInboundCount": 0,
                "totalInboundAmount": 0,
                "createTimeUtc": "2019-08-24T14:15:22.123Z"
            }
        ],
        "pageNum": 0,
        "pageSize": 0,
        "pages": 0
    }
}
Modified at 2026-05-27 09:47:15
Previous
Create Virtual Account
Next
Get Virtual Account
Built with